.container {
    position: relative;
}

.avatar {
    width: 5rem;
    box-shadow: 0 0 .3rem #ffffff4d;
    cursor: pointer;
    border-radius: 100rem;
}

.email {
    display: none;
}

.dropdownIcon {
    display: none;
}

@media screen and (min-width: 600px) {
    .profile {
        display: flex;
        align-items: center;
        border-radius: 100rem;
        cursor: pointer;
        padding: .4rem;
        color: var(--white-color);
        background-color: rgba(255, 255, 255, 0.1);
        transition: background-color .2s ease-in;
    }
    
    .profile:hover {
        background-color: rgba(255, 255, 255, 0.2);
    }
    
    .avatar {
        width: 2.5rem;
        margin-right: 1rem;
    }
    
    .email {
        display: initial;
        font-size: 1.25rem;
        margin-right: .5rem;
    }
    
    .dropdownIcon {
        display: initial;
        font-size: 2rem;
        margin-right: .5rem;
    }
}

.dropdown.show {
    display: flex;
}

.dropdown {
    position: absolute;
    display: none;
    background: white;
    width: 27rem;
    right: 0;
    margin-top: 1rem;
    padding: 1rem 0;
    border-radius: 0.3rem;
    flex-direction: column;
    box-shadow: 0rem 0.8rem 2.4rem rgba(0, 0, 0, 0.2);
}

.dropdown .username {
    font-weight: 600;
    font-size: 1.4rem;
    display: flex;
    align-items: center;
    padding: 1.5rem 0 2rem;
    margin: 0 1.5rem 1.5rem;
    border-bottom: 0.1rem solid #EEE;
}

.dropdown .username .avatar {
    width: 2.5rem;
    border-radius: 100rem;
    margin-right: 1.5rem;
}

.dropdown > .menuItem {
    padding: 1.5rem;
    text-decoration: none;
    color: #222;
    font-weight: 500;
    display: flex;
    align-items: center;
    font-size: 1.4rem;
    cursor: pointer;
}

.dropdown > .menuItem:hover {
    background-color: #F1F1F1;
}

.dropdown .icon {
    margin-right: 1.5rem;
    font-size: 1.9rem;
}

.actions {
    margin-top: 3rem;
    display: flex;
    justify-content: flex-end;
    column-gap: 2rem;
}

.actions button {
    padding: .8rem 3rem;
}

.actions .cancel {
    background-color: transparent;
    color: var(--yellow-color);
    border: 0.2rem solid var(--yellow-color);
}
